---
updatedAt: 2025-08-18T10:49:25.000Z
agentTools:
  projectIndex: https://healthcloud.readme.io/llms.txt
---

# Search customer on kra

#### Description

This endpoint allows you to get customer info from etims using their KRA PIN.

#### Request Body

- `customer_pin` (text): Pin number of the customer

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Slade360 eTIMS API",
    "description": "\n\nThis API is designed to facilitate seamless integration with the eTIMS system, enabling businesses to automate their tax compliance processes and ensure accurate reporting to the KRA. It supports various operations such as creating, updating, and retrieving tax-related documents, managing business partners, and handling financial transactions.\n\nThe API is built with security in mind, requiring authentication for access to sensitive endpoints. It also provides detailed error handling and response codes to help developers troubleshoot issues effectively.\n\nFor more information on how to use the Slade360 eTIMS API, please refer to the documentation provided.",
    "contact": {},
    "version": "2.3",
    "x-codegen-settings": {
      "Nullify404": false,
      "GenerateAsyncCode": true,
      "UseMethodPrefix": false,
      "UseModelPostfix": false,
      "UseControllerPrefix": true,
      "UseEnumPostfix": true,
      "CollectParameters": false,
      "UseConstructorsForConfig": false,
      "UseCommonSDKLibrary": false,
      "iOSUseAppInfoPlist": false,
      "AndroidUseAppManifest": false,
      "BodySerialization": 0,
      "EnableAdditionalModelProperties": false,
      "PreserveParameterOrder": true,
      "AppendContentHeaders": true,
      "iOSGenerateCoreData": false,
      "GenerateInterfaces": false,
      "NodeHttpClient": "NODE_REQUEST",
      "ValidateRequiredParameters": false,
      "JavaUsePropertiesConfig": false,
      "Timeout": 0,
      "StoreTimezoneInformation": false,
      "EnablePHPComposerVersionString": false,
      "EnableLogging": false,
      "ArraySerialization": "Indexed",
      "ModelSerializationScheme": "Json",
      "UseExceptionPrefix": true,
      "RunscopeEnabled": false,
      "AndroidHttpClient": "ANDROID_OK",
      "ObjCHttpClient": "UNIREST",
      "CSharpHttpClient": "UNIREST",
      "PHPHttpClient": "UNIREST",
      "JavaHttpClient": "JAVA_OK",
      "ParameterArrayFormat": "ParamArrayWithIndex",
      "SecurityProtocols": [
        "Ssl3",
        "Tls"
      ],
      "GenerateTravisConfig": false,
      "GenerateCircleConfig": false,
      "GenerateAppveyorConfig": false,
      "GenerateJenkinsConfig": false,
      "EnableHttpCache": false,
      "Retries": 0,
      "RetryInterval": 1,
      "GenerateAdvancedDocs": true,
      "UnderscoreNumbers": true,
      "UseSingletonPattern": true,
      "DisableLinting": false,
      "ApplyCustomizations": [],
      "SortResources": false,
      "AllowSkippingSSLCertVerification": false,
      "DoNotSplitWords": [],
      "EnableGlobalUserAgent": true,
      "ReturnCompleteHttpResponse": false,
      "GenerateModels": true,
      "GenerateExceptions": true,
      "IgnoreIfNullJson": false,
      "DisableDocs": false,
      "LiftParameterDescriptionFromCustomType": false,
      "ThrowForHttpErrorStatusCodes": true,
      "ResponseMapping": {
        "Type": "Simple"
      },
      "ForceKeywordArgsInRuby": false,
      "SymbolizeHashKeysInRuby": false,
      "UsageExampleEndpoint": {
        "Description": "",
        "EndpointGroupName": "",
        "EndpointName": ""
      },
      "IsLatestVersion": false,
      "EnableImmutableModels": false,
      "GenerateEnums": true,
      "BackoffFactor": 2,
      "StatusCodesToRetry": [
        408,
        413,
        429,
        500,
        502,
        503,
        504,
        521,
        522,
        524
      ],
      "RequestMethodsToRetry": [
        "GET",
        "PUT"
      ],
      "UserConfigurableRetries": true,
      "UseEndpointMethodName": false,
      "EncodeTemplateParameters": true,
      "GenerateExamplesForOptionalFields": false,
      "MultitargetDotnetVersions": false,
      "BackoffMax": 0,
      "RetryOnTimeout": true,
      "EnableCookies": false,
      "EnableJsonPassThroughForAny": false,
      "PascalCaseEnumForCSharp": false,
      "PascalCaseEnumForTypeScript": false,
      "DisableMultipleAuth": false,
      "AddSingleAuthDeprecatedCode": true,
      "EnableExperimentalTypeCombinatorGeneration": false,
      "ErrorTemplates": {},
      "UseSecuritySchemeNameForSingleAuth": false,
      "EnableModelKeywordArgsInRuby": false,
      "NullifyEmptyResponses": false,
      "ExtendedAdditionalPropertiesSupport": false,
      "EnforceStandardizedCasing": false
    },
    "x-server-configuration": {
      "default-environment": "UAT x PROD",
      "default-server": "Test ETIMS Base URL server",
      "environments": [
        {
          "name": "UAT x PROD",
          "servers": [
            {
              "name": "Test ETIMS Base URL server",
              "url": "https://api.erp.release.slade360edi.com"
            },
            {
              "name": "Test Authentication Base URL server",
              "url": "https://accounts.multitenant.slade360.co.ke"
            },
            {
              "name": "Prod ETIMS Base URL server",
              "url": "https://api.erp.slade360.co.ke"
            },
            {
              "name": "Prod Authentication Base URL server",
              "url": "https://accounts.edi.slade360.co.ke"
            }
          ]
        },
        {
          "name": "PROD",
          "servers": [
            {
              "name": "Prod ETIMS Base URL server",
              "url": "https://api.erp.slade360.co.ke"
            },
            {
              "name": "Prod Authentication Base URL server",
              "url": "https://accounts.edi.slade360.co.ke"
            }
          ]
        }
      ],
      "parameters": []
    },
    "x-image-uri": ""
  },
  "servers": [
    {
      "url": "https://api.erp.release.slade360edi.com",
      "description": "Test ETIMS Base URL server"
    },
    {
      "url": "https://accounts.multitenant.slade360.co.ke",
      "description": "Test Authentication Base URL server"
    },
    {
      "url": "https://accounts.edi.slade360.co.ke",
      "description": "Prod Authentication Base URL server"
    },
    {
      "url": "https://api.erp.slade360.co.ke",
      "description": "Prod ETIMS Base URL server"
    }
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "tags": [
    {
      "name": "Customers",
      "description": "**Business Partners/Customers**\n\nThis section is dedicated to searching customers on KRA using their PIN and getting a list of customers or specific customer information."
    }
  ],
  "paths": {
    "/api/business_partners/customers/search_customer_on_kra": {
      "post": {
        "tags": [
          "Customers"
        ],
        "summary": "Search customer on kra",
        "description": "#### Description\n\nThis endpoint allows you to get customer info from etims using their KRA PIN.\n\n#### Request Body\n\n- `customer_pin` (text): Pin number of the customer",
        "operationId": "Searchcustomeronkra",
        "parameters": [
          {
            "name": "Accept",
            "in": "header",
            "description": "",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "example": "application/json"
            }
          },
          {
            "name": "X-Workstation",
            "in": "header",
            "description": "[REQUIRED] Workstation ID",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "example": "X-Workstation"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "encoding": {},
              "schema": {
                "required": [
                  "customer_pin"
                ],
                "type": "object",
                "properties": {
                  "customer_pin": {
                    "type": "string",
                    "description": "pin number of the customer",
                    "example": "A017563136S"
                  }
                }
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "OK",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/UntitledResponse2"
                    },
                    {
                      "example": {
                        "billing_accounts": [
                          {
                            "id": "<uuid>",
                            "name": "<string>",
                            "description": "<string>",
                            "is_active": "<boolean>",
                            "_identifiers": "<string>",
                            "number": "<string>",
                            "tag": "<string>"
                          },
                          {
                            "id": "<uuid>",
                            "name": "<string>",
                            "description": "<string>",
                            "is_active": "<boolean>",
                            "_identifiers": "<string>",
                            "number": "<string>",
                            "tag": "<string>"
                          }
                        ],
                        "business_partner_attachments": [
                          {
                            "business_partner": "<uuid>",
                            "content_type": "image/png",
                            "data": "<uri>",
                            "id": "<uuid>",
                            "organisation": "<uuid>",
                            "size": "<integer>",
                            "title": "<string>",
                            "active": "<boolean>",
                            "created": "<dateTime>",
                            "created_by": "<uuid>",
                            "updated": "<dateTime>",
                            "updated_by": "<uuid>",
                            "creation_date": "<dateTime>",
                            "description": "<string>",
                            "aspect_ratio": "<string>",
                            "attachment_type": "NATIONAL_IDENTITY"
                          },
                          {
                            "business_partner": "<uuid>",
                            "content_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
                            "data": "<uri>",
                            "id": "<uuid>",
                            "organisation": "<uuid>",
                            "size": "<integer>",
                            "title": "<string>",
                            "active": "<boolean>",
                            "created": "<dateTime>",
                            "created_by": "<uuid>",
                            "updated": "<dateTime>",
                            "updated_by": "<uuid>",
                            "creation_date": "<dateTime>",
                            "description": "<string>",
                            "aspect_ratio": "<string>",
                            "attachment_type": "NATIONAL_IDENTITY"
                          }
                        ],
                        "business_partner_contact": [
                          {
                            "business_partner": "<uuid>",
                            "contact": "<string>",
                            "contact_type": "phone_number",
                            "id": "<uuid>",
                            "organisation": "<uuid>",
                            "active": "<boolean>",
                            "created": "<dateTime>",
                            "created_by": "<uuid>",
                            "updated": "<dateTime>",
                            "updated_by": "<uuid>",
                            "verified": "<boolean>",
                            "consent_to_contact_given": "<boolean>",
                            "is_primary_contact": "<boolean>"
                          },
                          {
                            "business_partner": "<uuid>",
                            "contact": "<string>",
                            "contact_type": "phone_number",
                            "id": "<uuid>",
                            "organisation": "<uuid>",
                            "active": "<boolean>",
                            "created": "<dateTime>",
                            "created_by": "<uuid>",
                            "updated": "<dateTime>",
                            "updated_by": "<uuid>",
                            "verified": "<boolean>",
                            "consent_to_contact_given": "<boolean>",
                            "is_primary_contact": "<boolean>"
                          }
                        ],
                        "business_partner_id": {
                          "business_partner": "<uuid>",
                          "id": "<uuid>",
                          "id_document_type": "payerID",
                          "id_value": "<string>",
                          "organisation": "<uuid>",
                          "active": "<boolean>",
                          "created": "<dateTime>",
                          "created_by": "<uuid>",
                          "updated": "<dateTime>",
                          "updated_by": "<uuid>"
                        },
                        "business_partner_person": {
                          "business_partner": "<uuid>",
                          "first_name": "<string>",
                          "id": "<uuid>",
                          "last_name": "<string>",
                          "organisation": "<uuid>",
                          "active": "<boolean>",
                          "created": "<dateTime>",
                          "created_by": "<uuid>",
                          "updated": "<dateTime>",
                          "updated_by": "<uuid>",
                          "other_names": "<string>",
                          "title_option": "<string>",
                          "date_of_birth": "<date>",
                          "title": "<string>",
                          "metadata": "<string>"
                        },
                        "business_partner_photo": {
                          "business_partner": "<uuid>",
                          "content_type": "application/vnd.ms-excel",
                          "data": "<uri>",
                          "id": "<uuid>",
                          "organisation": "<uuid>",
                          "size": "<integer>",
                          "title": "<string>",
                          "active": "<boolean>",
                          "created": "<dateTime>",
                          "created_by": "<uuid>",
                          "updated": "<dateTime>",
                          "updated_by": "<uuid>",
                          "creation_date": "<dateTime>",
                          "description": "<string>",
                          "aspect_ratio": "<string>"
                        },
                        "code": "<integer>",
                        "country": "ARG",
                        "currency": "<uuid>",
                        "customer_amount_owed": "<string>",
                        "customer_credit_utilized": "<string>",
                        "customer_deposits_account": {
                          "id": "<uuid>",
                          "name": "<string>",
                          "description": "<string>",
                          "is_active": "<boolean>",
                          "_identifiers": "<string>",
                          "number": "<string>",
                          "tag": "<string>"
                        },
                        "customer_sync_to_etims": "<string>",
                        "id": "<uuid>",
                        "identifiers": [
                          {
                            "business_partner": "<uuid>",
                            "id": "<uuid>",
                            "identifier_type": "SLADE",
                            "identifier_value": "<string>",
                            "organisation": "<uuid>",
                            "active": "<boolean>",
                            "created": "<dateTime>",
                            "created_by": "<uuid>",
                            "updated": "<dateTime>",
                            "updated_by": "<uuid>",
                            "valid_from": "<dateTime>",
                            "valid_to": "<dateTime>"
                          },
                          {
                            "business_partner": "<uuid>",
                            "id": "<uuid>",
                            "identifier_type": "SLADE",
                            "identifier_value": "<string>",
                            "organisation": "<uuid>",
                            "active": "<boolean>",
                            "created": "<dateTime>",
                            "created_by": "<uuid>",
                            "updated": "<dateTime>",
                            "updated_by": "<uuid>",
                            "valid_from": "<dateTime>",
                            "valid_to": "<dateTime>"
                          }
                        ],
                        "organisation": "<uuid>",
                        "partner_name": "<string>",
                        "payables_account": {
                          "id": "<uuid>",
                          "name": "<string>",
                          "description": "<string>",
                          "is_active": "<boolean>",
                          "_identifiers": "<string>",
                          "number": "<string>",
                          "tag": "<string>"
                        },
                        "receivables_account": {
                          "id": "<uuid>",
                          "name": "<string>",
                          "description": "<string>",
                          "is_active": "<boolean>",
                          "_identifiers": "<string>",
                          "number": "<string>",
                          "tag": "<string>"
                        },
                        "supplier_amount_owed": "<string>",
                        "supplier_credit_utilized": "<string>",
                        "supplier_deposits_account": {
                          "id": "<uuid>",
                          "name": "<string>",
                          "description": "<string>",
                          "is_active": "<boolean>",
                          "_identifiers": "<string>",
                          "number": "<string>",
                          "tag": "<string>"
                        },
                        "active": "<boolean>",
                        "created": "<dateTime>",
                        "created_by": "<uuid>",
                        "updated": "<dateTime>",
                        "updated_by": "<uuid>",
                        "slade_code": "<integer>",
                        "description": "<string>",
                        "physical_address": "<string>",
                        "town": "<string>",
                        "box_number": "<string>",
                        "credit_limit": "<double>",
                        "is_supplier": "<boolean>",
                        "is_customer": "<boolean>",
                        "supplier_type": "INFORMATION_TECHNOLOGY",
                        "customer_type": "NUTRITION",
                        "bp_type": "<string>",
                        "phone_number": "<string>",
                        "email_address": "<email>",
                        "customer_tax_pin": "<string>",
                        "parent": "<uuid>"
                      }
                    }
                  ]
                },
                "example": {
                  "billing_accounts": [
                    {
                      "id": "<uuid>",
                      "name": "<string>",
                      "description": "<string>",
                      "is_active": "<boolean>",
                      "_identifiers": "<string>",
                      "number": "<string>",
                      "tag": "<string>"
                    },
                    {
                      "id": "<uuid>",
                      "name": "<string>",
                      "description": "<string>",
                      "is_active": "<boolean>",
                      "_identifiers": "<string>",
                      "number": "<string>",
                      "tag": "<string>"
                    }
                  ],
                  "business_partner_attachments": [
                    {
                      "business_partner": "<uuid>",
                      "content_type": "image/png",
                      "data": "<uri>",
                      "id": "<uuid>",
                      "organisation": "<uuid>",
                      "size": "<integer>",
                      "title": "<string>",
                      "active": "<boolean>",
                      "created": "<dateTime>",
                      "created_by": "<uuid>",
                      "updated": "<dateTime>",
                      "updated_by": "<uuid>",
                      "creation_date": "<dateTime>",
                      "description": "<string>",
                      "aspect_ratio": "<string>",
                      "attachment_type": "NATIONAL_IDENTITY"
                    },
                    {
                      "business_partner": "<uuid>",
                      "content_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
                      "data": "<uri>",
                      "id": "<uuid>",
                      "organisation": "<uuid>",
                      "size": "<integer>",
                      "title": "<string>",
                      "active": "<boolean>",
                      "created": "<dateTime>",
                      "created_by": "<uuid>",
                      "updated": "<dateTime>",
                      "updated_by": "<uuid>",
                      "creation_date": "<dateTime>",
                      "description": "<string>",
                      "aspect_ratio": "<string>",
                      "attachment_type": "NATIONAL_IDENTITY"
                    }
                  ],
                  "business_partner_contact": [
                    {
                      "business_partner": "<uuid>",
                      "contact": "<string>",
                      "contact_type": "phone_number",
                      "id": "<uuid>",
                      "organisation": "<uuid>",
                      "active": "<boolean>",
                      "created": "<dateTime>",
                      "created_by": "<uuid>",
                      "updated": "<dateTime>",
                      "updated_by": "<uuid>",
                      "verified": "<boolean>",
                      "consent_to_contact_given": "<boolean>",
                      "is_primary_contact": "<boolean>"
                    },
                    {
                      "business_partner": "<uuid>",
                      "contact": "<string>",
                      "contact_type": "phone_number",
                      "id": "<uuid>",
                      "organisation": "<uuid>",
                      "active": "<boolean>",
                      "created": "<dateTime>",
                      "created_by": "<uuid>",
                      "updated": "<dateTime>",
                      "updated_by": "<uuid>",
                      "verified": "<boolean>",
                      "consent_to_contact_given": "<boolean>",
                      "is_primary_contact": "<boolean>"
                    }
                  ],
                  "business_partner_id": {
                    "business_partner": "<uuid>",
                    "id": "<uuid>",
                    "id_document_type": "payerID",
                    "id_value": "<string>",
                    "organisation": "<uuid>",
                    "active": "<boolean>",
                    "created": "<dateTime>",
                    "created_by": "<uuid>",
                    "updated": "<dateTime>",
                    "updated_by": "<uuid>"
                  },
                  "business_partner_person": {
                    "business_partner": "<uuid>",
                    "first_name": "<string>",
                    "id": "<uuid>",
                    "last_name": "<string>",
                    "organisation": "<uuid>",
                    "active": "<boolean>",
                    "created": "<dateTime>",
                    "created_by": "<uuid>",
                    "updated": "<dateTime>",
                    "updated_by": "<uuid>",
                    "other_names": "<string>",
                    "title_option": "<string>",
                    "date_of_birth": "<date>",
                    "title": "<string>",
                    "metadata": "<string>"
                  },
                  "business_partner_photo": {
                    "business_partner": "<uuid>",
                    "content_type": "application/vnd.ms-excel",
                    "data": "<uri>",
                    "id": "<uuid>",
                    "organisation": "<uuid>",
                    "size": "<integer>",
                    "title": "<string>",
                    "active": "<boolean>",
                    "created": "<dateTime>",
                    "created_by": "<uuid>",
                    "updated": "<dateTime>",
                    "updated_by": "<uuid>",
                    "creation_date": "<dateTime>",
                    "description": "<string>",
                    "aspect_ratio": "<string>"
                  },
                  "code": "<integer>",
                  "country": "ARG",
                  "currency": "<uuid>",
                  "customer_amount_owed": "<string>",
                  "customer_credit_utilized": "<string>",
                  "customer_deposits_account": {
                    "id": "<uuid>",
                    "name": "<string>",
                    "description": "<string>",
                    "is_active": "<boolean>",
                    "_identifiers": "<string>",
                    "number": "<string>",
                    "tag": "<string>"
                  },
                  "customer_sync_to_etims": "<string>",
                  "id": "<uuid>",
                  "identifiers": [
                    {
                      "business_partner": "<uuid>",
                      "id": "<uuid>",
                      "identifier_type": "SLADE",
                      "identifier_value": "<string>",
                      "organisation": "<uuid>",
                      "active": "<boolean>",
                      "created": "<dateTime>",
                      "created_by": "<uuid>",
                      "updated": "<dateTime>",
                      "updated_by": "<uuid>",
                      "valid_from": "<dateTime>",
                      "valid_to": "<dateTime>"
                    },
                    {
                      "business_partner": "<uuid>",
                      "id": "<uuid>",
                      "identifier_type": "SLADE",
                      "identifier_value": "<string>",
                      "organisation": "<uuid>",
                      "active": "<boolean>",
                      "created": "<dateTime>",
                      "created_by": "<uuid>",
                      "updated": "<dateTime>",
                      "updated_by": "<uuid>",
                      "valid_from": "<dateTime>",
                      "valid_to": "<dateTime>"
                    }
                  ],
                  "organisation": "<uuid>",
                  "partner_name": "<string>",
                  "payables_account": {
                    "id": "<uuid>",
                    "name": "<string>",
                    "description": "<string>",
                    "is_active": "<boolean>",
                    "_identifiers": "<string>",
                    "number": "<string>",
                    "tag": "<string>"
                  },
                  "receivables_account": {
                    "id": "<uuid>",
                    "name": "<string>",
                    "description": "<string>",
                    "is_active": "<boolean>",
                    "_identifiers": "<string>",
                    "number": "<string>",
                    "tag": "<string>"
                  },
                  "supplier_amount_owed": "<string>",
                  "supplier_credit_utilized": "<string>",
                  "supplier_deposits_account": {
                    "id": "<uuid>",
                    "name": "<string>",
                    "description": "<string>",
                    "is_active": "<boolean>",
                    "_identifiers": "<string>",
                    "number": "<string>",
                    "tag": "<string>"
                  },
                  "active": "<boolean>",
                  "created": "<dateTime>",
                  "created_by": "<uuid>",
                  "updated": "<dateTime>",
                  "updated_by": "<uuid>",
                  "slade_code": "<integer>",
                  "description": "<string>",
                  "physical_address": "<string>",
                  "town": "<string>",
                  "box_number": "<string>",
                  "credit_limit": "<double>",
                  "is_supplier": "<boolean>",
                  "is_customer": "<boolean>",
                  "supplier_type": "INFORMATION_TECHNOLOGY",
                  "customer_type": "NUTRITION",
                  "bp_type": "<string>",
                  "phone_number": "<string>",
                  "email_address": "<email>",
                  "customer_tax_pin": "<string>",
                  "parent": "<uuid>"
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-operation-settings": {
          "CollectParameters": false,
          "AllowDynamicQueryParameters": false,
          "AllowDynamicFormParameters": false,
          "IsMultiContentStreaming": false,
          "ErrorTemplates": {},
          "SkipAdditionalHeaders": false
        },
        "x-unitTests": [
          {
            "request": {
              "method": "POST",
              "uri": "/api/business_partners/customers/search_customer_on_kra",
              "headers": {
                "Accept": "application/json",
                "X-Workstation": "X-Workstation",
                "Content-Type": "application/x-www-form-urlencoded"
              },
              "body": "customer_pin=A017563136S"
            },
            "expectedResponse": {
              "x-allowExtraHeaders": true,
              "x-bodyMatchMode": "KEYS",
              "x-arrayOrderedMatching": false,
              "x-arrayCheckCount": false,
              "x-matchResponseSchema": true,
              "statusCode": "200",
              "headers": {
                "Content-Type": "application/json"
              },
              "body": "{\r\n  \"billing_accounts\": [\r\n    {\r\n      \"id\": \"<uuid>\",\r\n      \"name\": \"<string>\",\r\n      \"description\": \"<string>\",\r\n      \"is_active\": \"<boolean>\",\r\n      \"_identifiers\": \"<string>\",\r\n      \"number\": \"<string>\",\r\n      \"tag\": \"<string>\"\r\n    },\r\n    {\r\n      \"id\": \"<uuid>\",\r\n      \"name\": \"<string>\",\r\n      \"description\": \"<string>\",\r\n      \"is_active\": \"<boolean>\",\r\n      \"_identifiers\": \"<string>\",\r\n      \"number\": \"<string>\",\r\n      \"tag\": \"<string>\"\r\n    }\r\n  ],\r\n  \"business_partner_attachments\": [\r\n    {\r\n      \"business_partner\": \"<uuid>\",\r\n      \"content_type\": \"image/png\",\r\n      \"data\": \"<uri>\",\r\n      \"id\": \"<uuid>\",\r\n      \"organisation\": \"<uuid>\",\r\n      \"size\": \"<integer>\",\r\n      \"title\": \"<string>\",\r\n      \"active\": \"<boolean>\",\r\n      \"created\": \"<dateTime>\",\r\n      \"created_by\": \"<uuid>\",\r\n      \"updated\": \"<dateTime>\",\r\n      \"updated_by\": \"<uuid>\",\r\n      \"creation_date\": \"<dateTime>\",\r\n      \"description\": \"<string>\",\r\n      \"aspect_ratio\": \"<string>\",\r\n      \"attachment_type\": \"NATIONAL_IDENTITY\"\r\n    },\r\n    {\r\n      \"business_partner\": \"<uuid>\",\r\n      \"content_type\": \"application/vnd.openxmlformats-officedocument.wordprocessingml.document\",\r\n      \"data\": \"<uri>\",\r\n      \"id\": \"<uuid>\",\r\n      \"organisation\": \"<uuid>\",\r\n      \"size\": \"<integer>\",\r\n      \"title\": \"<string>\",\r\n      \"active\": \"<boolean>\",\r\n      \"created\": \"<dateTime>\",\r\n      \"created_by\": \"<uuid>\",\r\n      \"updated\": \"<dateTime>\",\r\n      \"updated_by\": \"<uuid>\",\r\n      \"creation_date\": \"<dateTime>\",\r\n      \"description\": \"<string>\",\r\n      \"aspect_ratio\": \"<string>\",\r\n      \"attachment_type\": \"NATIONAL_IDENTITY\"\r\n    }\r\n  ],\r\n  \"business_partner_contact\": [\r\n    {\r\n      \"business_partner\": \"<uuid>\",\r\n      \"contact\": \"<string>\",\r\n      \"contact_type\": \"phone_number\",\r\n      \"id\": \"<uuid>\",\r\n      \"organisation\": \"<uuid>\",\r\n      \"active\": \"<boolean>\",\r\n      \"created\": \"<dateTime>\",\r\n      \"created_by\": \"<uuid>\",\r\n      \"updated\": \"<dateTime>\",\r\n      \"updated_by\": \"<uuid>\",\r\n      \"verified\": \"<boolean>\",\r\n      \"consent_to_contact_given\": \"<boolean>\",\r\n      \"is_primary_contact\": \"<boolean>\"\r\n    },\r\n    {\r\n      \"business_partner\": \"<uuid>\",\r\n      \"contact\": \"<string>\",\r\n      \"contact_type\": \"phone_number\",\r\n      \"id\": \"<uuid>\",\r\n      \"organisation\": \"<uuid>\",\r\n      \"active\": \"<boolean>\",\r\n      \"created\": \"<dateTime>\",\r\n      \"created_by\": \"<uuid>\",\r\n      \"updated\": \"<dateTime>\",\r\n      \"updated_by\": \"<uuid>\",\r\n      \"verified\": \"<boolean>\",\r\n      \"consent_to_contact_given\": \"<boolean>\",\r\n      \"is_primary_contact\": \"<boolean>\"\r\n    }\r\n  ],\r\n  \"business_partner_id\": {\r\n    \"business_partner\": \"<uuid>\",\r\n    \"id\": \"<uuid>\",\r\n    \"id_document_type\": \"payerID\",\r\n    \"id_value\": \"<string>\",\r\n    \"organisation\": \"<uuid>\",\r\n    \"active\": \"<boolean>\",\r\n    \"created\": \"<dateTime>\",\r\n    \"created_by\": \"<uuid>\",\r\n    \"updated\": \"<dateTime>\",\r\n    \"updated_by\": \"<uuid>\"\r\n  },\r\n  \"business_partner_person\": {\r\n    \"business_partner\": \"<uuid>\",\r\n    \"first_name\": \"<string>\",\r\n    \"id\": \"<uuid>\",\r\n    \"last_name\": \"<string>\",\r\n    \"organisation\": \"<uuid>\",\r\n    \"active\": \"<boolean>\",\r\n    \"created\": \"<dateTime>\",\r\n    \"created_by\": \"<uuid>\",\r\n    \"updated\": \"<dateTime>\",\r\n    \"updated_by\": \"<uuid>\",\r\n    \"other_names\": \"<string>\",\r\n    \"title_option\": \"<string>\",\r\n    \"date_of_birth\": \"<date>\",\r\n    \"title\": \"<string>\",\r\n    \"metadata\": \"<string>\"\r\n  },\r\n  \"business_partner_photo\": {\r\n    \"business_partner\": \"<uuid>\",\r\n    \"content_type\": \"application/vnd.ms-excel\",\r\n    \"data\": \"<uri>\",\r\n    \"id\": \"<uuid>\",\r\n    \"organisation\": \"<uuid>\",\r\n    \"size\": \"<integer>\",\r\n    \"title\": \"<string>\",\r\n    \"active\": \"<boolean>\",\r\n    \"created\": \"<dateTime>\",\r\n    \"created_by\": \"<uuid>\",\r\n    \"updated\": \"<dateTime>\",\r\n    \"updated_by\": \"<uuid>\",\r\n    \"creation_date\": \"<dateTime>\",\r\n    \"description\": \"<string>\",\r\n    \"aspect_ratio\": \"<string>\"\r\n  },\r\n  \"code\": \"<integer>\",\r\n  \"country\": \"ARG\",\r\n  \"currency\": \"<uuid>\",\r\n  \"customer_amount_owed\": \"<string>\",\r\n  \"customer_credit_utilized\": \"<string>\",\r\n  \"customer_deposits_account\": {\r\n    \"id\": \"<uuid>\",\r\n    \"name\": \"<string>\",\r\n    \"description\": \"<string>\",\r\n    \"is_active\": \"<boolean>\",\r\n    \"_identifiers\": \"<string>\",\r\n    \"number\": \"<string>\",\r\n    \"tag\": \"<string>\"\r\n  },\r\n  \"customer_sync_to_etims\": \"<string>\",\r\n  \"id\": \"<uuid>\",\r\n  \"identifiers\": [\r\n    {\r\n      \"business_partner\": \"<uuid>\",\r\n      \"id\": \"<uuid>\",\r\n      \"identifier_type\": \"SLADE\",\r\n      \"identifier_value\": \"<string>\",\r\n      \"organisation\": \"<uuid>\",\r\n      \"active\": \"<boolean>\",\r\n      \"created\": \"<dateTime>\",\r\n      \"created_by\": \"<uuid>\",\r\n      \"updated\": \"<dateTime>\",\r\n      \"updated_by\": \"<uuid>\",\r\n      \"valid_from\": \"<dateTime>\",\r\n      \"valid_to\": \"<dateTime>\"\r\n    },\r\n    {\r\n      \"business_partner\": \"<uuid>\",\r\n      \"id\": \"<uuid>\",\r\n      \"identifier_type\": \"SLADE\",\r\n      \"identifier_value\": \"<string>\",\r\n      \"organisation\": \"<uuid>\",\r\n      \"active\": \"<boolean>\",\r\n      \"created\": \"<dateTime>\",\r\n      \"created_by\": \"<uuid>\",\r\n      \"updated\": \"<dateTime>\",\r\n      \"updated_by\": \"<uuid>\",\r\n      \"valid_from\": \"<dateTime>\",\r\n      \"valid_to\": \"<dateTime>\"\r\n    }\r\n  ],\r\n  \"organisation\": \"<uuid>\",\r\n  \"partner_name\": \"<string>\",\r\n  \"payables_account\": {\r\n    \"id\": \"<uuid>\",\r\n    \"name\": \"<string>\",\r\n    \"description\": \"<string>\",\r\n    \"is_active\": \"<boolean>\",\r\n    \"_identifiers\": \"<string>\",\r\n    \"number\": \"<string>\",\r\n    \"tag\": \"<string>\"\r\n  },\r\n  \"receivables_account\": {\r\n    \"id\": \"<uuid>\",\r\n    \"name\": \"<string>\",\r\n    \"description\": \"<string>\",\r\n    \"is_active\": \"<boolean>\",\r\n    \"_identifiers\": \"<string>\",\r\n    \"number\": \"<string>\",\r\n    \"tag\": \"<string>\"\r\n  },\r\n  \"supplier_amount_owed\": \"<string>\",\r\n  \"supplier_credit_utilized\": \"<string>\",\r\n  \"supplier_deposits_account\": {\r\n    \"id\": \"<uuid>\",\r\n    \"name\": \"<string>\",\r\n    \"description\": \"<string>\",\r\n    \"is_active\": \"<boolean>\",\r\n    \"_identifiers\": \"<string>\",\r\n    \"number\": \"<string>\",\r\n    \"tag\": \"<string>\"\r\n  },\r\n  \"active\": \"<boolean>\",\r\n  \"created\": \"<dateTime>\",\r\n  \"created_by\": \"<uuid>\",\r\n  \"updated\": \"<dateTime>\",\r\n  \"updated_by\": \"<uuid>\",\r\n  \"slade_code\": \"<integer>\",\r\n  \"description\": \"<string>\",\r\n  \"physical_address\": \"<string>\",\r\n  \"town\": \"<string>\",\r\n  \"box_number\": \"<string>\",\r\n  \"credit_limit\": \"<double>\",\r\n  \"is_supplier\": \"<boolean>\",\r\n  \"is_customer\": \"<boolean>\",\r\n  \"supplier_type\": \"INFORMATION_TECHNOLOGY\",\r\n  \"customer_type\": \"NUTRITION\",\r\n  \"bp_type\": \"<string>\",\r\n  \"phone_number\": \"<string>\",\r\n  \"email_address\": \"<email>\",\r\n  \"customer_tax_pin\": \"<string>\",\r\n  \"parent\": \"<uuid>\"\r\n}"
            },
            "x-testShouldPass": true,
            "x-testEnabled": true,
            "x-testName": "Search customer on kra",
            "x-testDescription": "#### Description\n\nThis endpoint allows you to get customer info from etims using their KRA PIN.\n\n#### Request Body\n\n- `customer_pin` (text): Pin number of the customer"
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearer": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "BillingAccount": {
        "title": "BillingAccount",
        "required": [
          "id",
          "name",
          "description",
          "is_active",
          "_identifiers",
          "number",
          "tag"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "is_active": {
            "type": "string"
          },
          "_identifiers": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "tag": {
            "type": "string"
          }
        },
        "example": {
          "id": "<uuid>",
          "name": "<string>",
          "description": "<string>",
          "is_active": "<boolean>",
          "_identifiers": "<string>",
          "number": "<string>",
          "tag": "<string>"
        }
      },
      "BusinessPartnerAttachment": {
        "title": "BusinessPartnerAttachment",
        "required": [
          "business_partner",
          "content_type",
          "data",
          "id",
          "organisation",
          "size",
          "title",
          "active",
          "created",
          "created_by",
          "updated",
          "updated_by",
          "creation_date",
          "description",
          "aspect_ratio",
          "attachment_type"
        ],
        "type": "object",
        "properties": {
          "business_partner": {
            "type": "string"
          },
          "content_type": {
            "type": "string"
          },
          "data": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "organisation": {
            "type": "string"
          },
          "size": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "active": {
            "type": "string"
          },
          "created": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "updated": {
            "type": "string"
          },
          "updated_by": {
            "type": "string"
          },
          "creation_date": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "aspect_ratio": {
            "type": "string"
          },
          "attachment_type": {
            "type": "string"
          }
        },
        "example": {
          "business_partner": "<uuid>",
          "content_type": "application/vnd.ms-excel",
          "data": "<uri>",
          "id": "<uuid>",
          "organisation": "<uuid>",
          "size": "<integer>",
          "title": "<string>",
          "active": "<boolean>",
          "created": "<dateTime>",
          "created_by": "<uuid>",
          "updated": "<dateTime>",
          "updated_by": "<uuid>",
          "creation_date": "<dateTime>",
          "description": "<string>",
          "aspect_ratio": "<string>",
          "attachment_type": "PROOF_OF_ADDRESS"
        }
      },
      "BusinessPartnerContact": {
        "title": "BusinessPartnerContact",
        "required": [
          "business_partner",
          "contact",
          "contact_type",
          "id",
          "organisation",
          "active",
          "created",
          "created_by",
          "updated",
          "updated_by",
          "verified",
          "consent_to_contact_given",
          "is_primary_contact"
        ],
        "type": "object",
        "properties": {
          "business_partner": {
            "type": "string"
          },
          "contact": {
            "type": "string"
          },
          "contact_type": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "organisation": {
            "type": "string"
          },
          "active": {
            "type": "string"
          },
          "created": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "updated": {
            "type": "string"
          },
          "updated_by": {
            "type": "string"
          },
          "verified": {
            "type": "string"
          },
          "consent_to_contact_given": {
            "type": "string"
          },
          "is_primary_contact": {
            "type": "string"
          }
        },
        "example": {
          "business_partner": "<uuid>",
          "contact": "<string>",
          "contact_type": "email",
          "id": "<uuid>",
          "organisation": "<uuid>",
          "active": "<boolean>",
          "created": "<dateTime>",
          "created_by": "<uuid>",
          "updated": "<dateTime>",
          "updated_by": "<uuid>",
          "verified": "<boolean>",
          "consent_to_contact_given": "<boolean>",
          "is_primary_contact": "<boolean>"
        }
      },
      "BusinessPartnerId": {
        "title": "BusinessPartnerId",
        "required": [
          "business_partner",
          "id",
          "id_document_type",
          "id_value",
          "organisation",
          "active",
          "created",
          "created_by",
          "updated",
          "updated_by"
        ],
        "type": "object",
        "properties": {
          "business_partner": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "id_document_type": {
            "type": "string"
          },
          "id_value": {
            "type": "string"
          },
          "organisation": {
            "type": "string"
          },
          "active": {
            "type": "string"
          },
          "created": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "updated": {
            "type": "string"
          },
          "updated_by": {
            "type": "string"
          }
        },
        "example": {
          "business_partner": "<uuid>",
          "id": "<uuid>",
          "id_document_type": "militaryID",
          "id_value": "<string>",
          "organisation": "<uuid>",
          "active": "<boolean>",
          "created": "<dateTime>",
          "created_by": "<uuid>",
          "updated": "<dateTime>",
          "updated_by": "<uuid>"
        }
      },
      "BusinessPartnerPerson": {
        "title": "BusinessPartnerPerson",
        "required": [
          "business_partner",
          "first_name",
          "id",
          "last_name",
          "organisation",
          "active",
          "created",
          "created_by",
          "updated",
          "updated_by",
          "other_names",
          "title_option",
          "date_of_birth",
          "title",
          "metadata"
        ],
        "type": "object",
        "properties": {
          "business_partner": {
            "type": "string"
          },
          "first_name": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "last_name": {
            "type": "string"
          },
          "organisation": {
            "type": "string"
          },
          "active": {
            "type": "string"
          },
          "created": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "updated": {
            "type": "string"
          },
          "updated_by": {
            "type": "string"
          },
          "other_names": {
            "type": "string"
          },
          "title_option": {
            "type": "string"
          },
          "date_of_birth": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "metadata": {
            "type": "string"
          }
        },
        "example": {
          "business_partner": "<uuid>",
          "first_name": "<string>",
          "id": "<uuid>",
          "last_name": "<string>",
          "organisation": "<uuid>",
          "active": "<boolean>",
          "created": "<dateTime>",
          "created_by": "<uuid>",
          "updated": "<dateTime>",
          "updated_by": "<uuid>",
          "other_names": "<string>",
          "title_option": "<string>",
          "date_of_birth": "<date>",
          "title": "<string>",
          "metadata": "<string>"
        }
      },
      "BusinessPartnerPhoto": {
        "title": "BusinessPartnerPhoto",
        "required": [
          "business_partner",
          "content_type",
          "data",
          "id",
          "organisation",
          "size",
          "title",
          "active",
          "created",
          "created_by",
          "updated",
          "updated_by",
          "creation_date",
          "description",
          "aspect_ratio"
        ],
        "type": "object",
        "properties": {
          "business_partner": {
            "type": "string"
          },
          "content_type": {
            "type": "string"
          },
          "data": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "organisation": {
            "type": "string"
          },
          "size": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "active": {
            "type": "string"
          },
          "created": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "updated": {
            "type": "string"
          },
          "updated_by": {
            "type": "string"
          },
          "creation_date": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "aspect_ratio": {
            "type": "string"
          }
        },
        "example": {
          "business_partner": "<uuid>",
          "content_type": "application/vnd.ms-excel",
          "data": "<uri>",
          "id": "<uuid>",
          "organisation": "<uuid>",
          "size": "<integer>",
          "title": "<string>",
          "active": "<boolean>",
          "created": "<dateTime>",
          "created_by": "<uuid>",
          "updated": "<dateTime>",
          "updated_by": "<uuid>",
          "creation_date": "<dateTime>",
          "description": "<string>",
          "aspect_ratio": "<string>"
        }
      },
      "CustomerDepositsAccount1": {
        "title": "CustomerDepositsAccount1",
        "required": [
          "id",
          "name",
          "description",
          "is_active",
          "_identifiers",
          "number",
          "tag"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "is_active": {
            "type": "string"
          },
          "_identifiers": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "tag": {
            "type": "string"
          }
        },
        "example": {
          "id": "<uuid>",
          "name": "<string>",
          "description": "<string>",
          "is_active": "<boolean>",
          "_identifiers": "<string>",
          "number": "<string>",
          "tag": "<string>"
        }
      },
      "Identifier1": {
        "title": "Identifier1",
        "required": [
          "business_partner",
          "id",
          "identifier_type",
          "identifier_value",
          "organisation",
          "active",
          "created",
          "created_by",
          "updated",
          "updated_by",
          "valid_from",
          "valid_to"
        ],
        "type": "object",
        "properties": {
          "business_partner": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "identifier_type": {
            "type": "string"
          },
          "identifier_value": {
            "type": "string"
          },
          "organisation": {
            "type": "string"
          },
          "active": {
            "type": "string"
          },
          "created": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "updated": {
            "type": "string"
          },
          "updated_by": {
            "type": "string"
          },
          "valid_from": {
            "type": "string"
          },
          "valid_to": {
            "type": "string"
          }
        },
        "example": {
          "business_partner": "<uuid>",
          "id": "<uuid>",
          "identifier_type": "MFL",
          "identifier_value": "<string>",
          "organisation": "<uuid>",
          "active": "<boolean>",
          "created": "<dateTime>",
          "created_by": "<uuid>",
          "updated": "<dateTime>",
          "updated_by": "<uuid>",
          "valid_from": "<dateTime>",
          "valid_to": "<dateTime>"
        }
      },
      "PayablesAccount": {
        "title": "PayablesAccount",
        "required": [
          "id",
          "name",
          "description",
          "is_active",
          "_identifiers",
          "number",
          "tag"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "is_active": {
            "type": "string"
          },
          "_identifiers": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "tag": {
            "type": "string"
          }
        },
        "example": {
          "id": "<uuid>",
          "name": "<string>",
          "description": "<string>",
          "is_active": "<boolean>",
          "_identifiers": "<string>",
          "number": "<string>",
          "tag": "<string>"
        }
      },
      "ReceivablesAccount1": {
        "title": "ReceivablesAccount1",
        "required": [
          "id",
          "name",
          "description",
          "is_active",
          "_identifiers",
          "number",
          "tag"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "is_active": {
            "type": "string"
          },
          "_identifiers": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "tag": {
            "type": "string"
          }
        },
        "example": {
          "id": "<uuid>",
          "name": "<string>",
          "description": "<string>",
          "is_active": "<boolean>",
          "_identifiers": "<string>",
          "number": "<string>",
          "tag": "<string>"
        }
      },
      "SupplierDepositsAccount": {
        "title": "SupplierDepositsAccount",
        "required": [
          "id",
          "name",
          "description",
          "is_active",
          "_identifiers",
          "number",
          "tag"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "is_active": {
            "type": "string"
          },
          "_identifiers": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "tag": {
            "type": "string"
          }
        },
        "example": {
          "id": "<uuid>",
          "name": "<string>",
          "description": "<string>",
          "is_active": "<boolean>",
          "_identifiers": "<string>",
          "number": "<string>",
          "tag": "<string>"
        }
      },
      "UntitledResponse2": {
        "title": "UntitledResponse2",
        "required": [
          "billing_accounts",
          "business_partner_attachments",
          "business_partner_contact",
          "business_partner_id",
          "business_partner_person",
          "business_partner_photo",
          "code",
          "country",
          "currency",
          "customer_amount_owed",
          "customer_credit_utilized",
          "customer_deposits_account",
          "customer_sync_to_etims",
          "id",
          "identifiers",
          "organisation",
          "partner_name",
          "payables_account",
          "receivables_account",
          "supplier_amount_owed",
          "supplier_credit_utilized",
          "supplier_deposits_account",
          "active",
          "created",
          "created_by",
          "updated",
          "updated_by",
          "slade_code",
          "description",
          "physical_address",
          "town",
          "box_number",
          "credit_limit",
          "is_supplier",
          "is_customer",
          "supplier_type",
          "customer_type",
          "bp_type",
          "phone_number",
          "email_address",
          "customer_tax_pin",
          "parent"
        ],
        "type": "object",
        "properties": {
          "billing_accounts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/BillingAccount"
            },
            "description": ""
          },
          "business_partner_attachments": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/BusinessPartnerAttachment"
            },
            "description": ""
          },
          "business_partner_contact": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/BusinessPartnerContact"
            },
            "description": ""
          },
          "business_partner_id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/BusinessPartnerId"
              },
              {}
            ]
          },
          "business_partner_person": {
            "allOf": [
              {
                "$ref": "#/components/schemas/BusinessPartnerPerson"
              },
              {}
            ]
          },
          "business_partner_photo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/BusinessPartnerPhoto"
              },
              {}
            ]
          },
          "code": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          },
          "customer_amount_owed": {
            "type": "string"
          },
          "customer_credit_utilized": {
            "type": "string"
          },
          "customer_deposits_account": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CustomerDepositsAccount1"
              },
              {}
            ]
          },
          "customer_sync_to_etims": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "identifiers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Identifier1"
            },
            "description": ""
          },
          "organisation": {
            "type": "string"
          },
          "partner_name": {
            "type": "string"
          },
          "payables_account": {
            "allOf": [
              {
                "$ref": "#/components/schemas/PayablesAccount"
              },
              {}
            ]
          },
          "receivables_account": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReceivablesAccount1"
              },
              {}
            ]
          },
          "supplier_amount_owed": {
            "type": "string"
          },
          "supplier_credit_utilized": {
            "type": "string"
          },
          "supplier_deposits_account": {
            "allOf": [
              {
                "$ref": "#/components/schemas/SupplierDepositsAccount"
              },
              {}
            ]
          },
          "active": {
            "type": "string"
          },
          "created": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "updated": {
            "type": "string"
          },
          "updated_by": {
            "type": "string"
          },
          "slade_code": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "physical_address": {
            "type": "string"
          },
          "town": {
            "type": "string"
          },
          "box_number": {
            "type": "string"
          },
          "credit_limit": {
            "type": "string"
          },
          "is_supplier": {
            "type": "string"
          },
          "is_customer": {
            "type": "string"
          },
          "supplier_type": {
            "type": "string"
          },
          "customer_type": {
            "type": "string"
          },
          "bp_type": {
            "type": "string"
          },
          "phone_number": {
            "type": "string"
          },
          "email_address": {
            "type": "string"
          },
          "customer_tax_pin": {
            "type": "string"
          },
          "parent": {
            "type": "string"
          }
        },
        "example": {
          "billing_accounts": [
            {
              "id": "<uuid>",
              "name": "<string>",
              "description": "<string>",
              "is_active": "<boolean>",
              "_identifiers": "<string>",
              "number": "<string>",
              "tag": "<string>"
            },
            {
              "id": "<uuid>",
              "name": "<string>",
              "description": "<string>",
              "is_active": "<boolean>",
              "_identifiers": "<string>",
              "number": "<string>",
              "tag": "<string>"
            }
          ],
          "business_partner_attachments": [
            {
              "business_partner": "<uuid>",
              "content_type": "image/png",
              "data": "<uri>",
              "id": "<uuid>",
              "organisation": "<uuid>",
              "size": "<integer>",
              "title": "<string>",
              "active": "<boolean>",
              "created": "<dateTime>",
              "created_by": "<uuid>",
              "updated": "<dateTime>",
              "updated_by": "<uuid>",
              "creation_date": "<dateTime>",
              "description": "<string>",
              "aspect_ratio": "<string>",
              "attachment_type": "NATIONAL_IDENTITY"
            },
            {
              "business_partner": "<uuid>",
              "content_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
              "data": "<uri>",
              "id": "<uuid>",
              "organisation": "<uuid>",
              "size": "<integer>",
              "title": "<string>",
              "active": "<boolean>",
              "created": "<dateTime>",
              "created_by": "<uuid>",
              "updated": "<dateTime>",
              "updated_by": "<uuid>",
              "creation_date": "<dateTime>",
              "description": "<string>",
              "aspect_ratio": "<string>",
              "attachment_type": "NATIONAL_IDENTITY"
            }
          ],
          "business_partner_contact": [
            {
              "business_partner": "<uuid>",
              "contact": "<string>",
              "contact_type": "phone_number",
              "id": "<uuid>",
              "organisation": "<uuid>",
              "active": "<boolean>",
              "created": "<dateTime>",
              "created_by": "<uuid>",
              "updated": "<dateTime>",
              "updated_by": "<uuid>",
              "verified": "<boolean>",
              "consent_to_contact_given": "<boolean>",
              "is_primary_contact": "<boolean>"
            },
            {
              "business_partner": "<uuid>",
              "contact": "<string>",
              "contact_type": "phone_number",
              "id": "<uuid>",
              "organisation": "<uuid>",
              "active": "<boolean>",
              "created": "<dateTime>",
              "created_by": "<uuid>",
              "updated": "<dateTime>",
              "updated_by": "<uuid>",
              "verified": "<boolean>",
              "consent_to_contact_given": "<boolean>",
              "is_primary_contact": "<boolean>"
            }
          ],
          "business_partner_id": {
            "business_partner": "<uuid>",
            "id": "<uuid>",
            "id_document_type": "payerID",
            "id_value": "<string>",
            "organisation": "<uuid>",
            "active": "<boolean>",
            "created": "<dateTime>",
            "created_by": "<uuid>",
            "updated": "<dateTime>",
            "updated_by": "<uuid>"
          },
          "business_partner_person": {
            "business_partner": "<uuid>",
            "first_name": "<string>",
            "id": "<uuid>",
            "last_name": "<string>",
            "organisation": "<uuid>",
            "active": "<boolean>",
            "created": "<dateTime>",
            "created_by": "<uuid>",
            "updated": "<dateTime>",
            "updated_by": "<uuid>",
            "other_names": "<string>",
            "title_option": "<string>",
            "date_of_birth": "<date>",
            "title": "<string>",
            "metadata": "<string>"
          },
          "business_partner_photo": {
            "business_partner": "<uuid>",
            "content_type": "application/vnd.ms-excel",
            "data": "<uri>",
            "id": "<uuid>",
            "organisation": "<uuid>",
            "size": "<integer>",
            "title": "<string>",
            "active": "<boolean>",
            "created": "<dateTime>",
            "created_by": "<uuid>",
            "updated": "<dateTime>",
            "updated_by": "<uuid>",
            "creation_date": "<dateTime>",
            "description": "<string>",
            "aspect_ratio": "<string>"
          },
          "code": "<integer>",
          "country": "ARG",
          "currency": "<uuid>",
          "customer_amount_owed": "<string>",
          "customer_credit_utilized": "<string>",
          "customer_deposits_account": {
            "id": "<uuid>",
            "name": "<string>",
            "description": "<string>",
            "is_active": "<boolean>",
            "_identifiers": "<string>",
            "number": "<string>",
            "tag": "<string>"
          },
          "customer_sync_to_etims": "<string>",
          "id": "<uuid>",
          "identifiers": [
            {
              "business_partner": "<uuid>",
              "id": "<uuid>",
              "identifier_type": "SLADE",
              "identifier_value": "<string>",
              "organisation": "<uuid>",
              "active": "<boolean>",
              "created": "<dateTime>",
              "created_by": "<uuid>",
              "updated": "<dateTime>",
              "updated_by": "<uuid>",
              "valid_from": "<dateTime>",
              "valid_to": "<dateTime>"
            },
            {
              "business_partner": "<uuid>",
              "id": "<uuid>",
              "identifier_type": "SLADE",
              "identifier_value": "<string>",
              "organisation": "<uuid>",
              "active": "<boolean>",
              "created": "<dateTime>",
              "created_by": "<uuid>",
              "updated": "<dateTime>",
              "updated_by": "<uuid>",
              "valid_from": "<dateTime>",
              "valid_to": "<dateTime>"
            }
          ],
          "organisation": "<uuid>",
          "partner_name": "<string>",
          "payables_account": {
            "id": "<uuid>",
            "name": "<string>",
            "description": "<string>",
            "is_active": "<boolean>",
            "_identifiers": "<string>",
            "number": "<string>",
            "tag": "<string>"
          },
          "receivables_account": {
            "id": "<uuid>",
            "name": "<string>",
            "description": "<string>",
            "is_active": "<boolean>",
            "_identifiers": "<string>",
            "number": "<string>",
            "tag": "<string>"
          },
          "supplier_amount_owed": "<string>",
          "supplier_credit_utilized": "<string>",
          "supplier_deposits_account": {
            "id": "<uuid>",
            "name": "<string>",
            "description": "<string>",
            "is_active": "<boolean>",
            "_identifiers": "<string>",
            "number": "<string>",
            "tag": "<string>"
          },
          "active": "<boolean>",
          "created": "<dateTime>",
          "created_by": "<uuid>",
          "updated": "<dateTime>",
          "updated_by": "<uuid>",
          "slade_code": "<integer>",
          "description": "<string>",
          "physical_address": "<string>",
          "town": "<string>",
          "box_number": "<string>",
          "credit_limit": "<double>",
          "is_supplier": "<boolean>",
          "is_customer": "<boolean>",
          "supplier_type": "INFORMATION_TECHNOLOGY",
          "customer_type": "NUTRITION",
          "bp_type": "<string>",
          "phone_number": "<string>",
          "email_address": "<email>",
          "customer_tax_pin": "<string>",
          "parent": "<uuid>"
        }
      }
    }
  }
}
```